Subject: [bug#77413] [PATCH] services: postgresql-service-type: Allow allowing to log into the user.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Apr 2025 11:11:49 +0200

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Tomas Volf <[email-masked]> writes:
>
>> It is often useful to be able to use the `postgres' user for management tasks,
>> so this commit allows setting that.  The default behavior is not changed.
>>
>> I have also added missing exports and sorted them by alphabet.
>>
>> * gnu/services/databases.scm (%default-home-directory): New variable.
>> (<postgresql-configuration>): Add home-directory, allow-login? fields.
>> (create-postgresql-account): Use them.
>> * doc/guix.texi (Database Services): Document it.
>>
>> Change-Id: I2212e5082ff4e87c49a5a8a4711bf929dd08626a
>
> I've read both of your answers, and I agree that this adds more
> flexibility without touching the default behavior or security
> implications, so I think it's reasonable.
>
> Ludovic, please let us know what you think after reading Thomas' last
> reply.

I’m fine with going that route since it make things more convenient, but
I think the manual should warn against using (allow-login? #t) in
production.

Ludo’.